// texterize.h    The texterize API
//
// ---------------------------------------------------------------------------
// Copyright (C) 2006 - 2009  Joost Remijn
//
// This file is part of Texterize.
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 3 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, see <http://www.gnu.org/licenses/>.
// ---------------------------------------------------------------------------
//

#ifndef LIBTEXTERIZE_TEXTERIZE_H
#define LIBTEXTERIZE_TEXTERIZE_H

////////////////////////////////////////////////////////
//
// The simple interface
//
//      TexterizeGetText()
//      TexterizeGetMeta()
//      TexterizeGetTextAndMeta()
//
typedef struct {
    char*   name;
    char*   value;
} MetaValue;


// returns the uft8 text
char* TexterizeGetText(
    const char*         filename
);

// returns the number of allocated metavalues
int TexterizeGetMeta(
    const char*         filename,
    MetaValue**         metavalues
);

// returns the uft8 text
char* TexterizeGetTextAndMeta(
    const char*         filename,
    MetaValue**         metavalues,
    int*                n_metavalues
);

#endif
